window.sogoureader = window.sogoureader || {
  todetail:function(status,json){
      json = JSON.parse(json);
      var cate = json.cate,
          book = json.book;
      if(cate){
          location.href=cate.url;
      }
      if(book){
          location.href=book.url;
      }
  }
};

var App = {
    todetail:function(status,json){
        window.sogoureader.todetail(status,json);
    },
    book:function(url,title){
        var json = {
            "book":{
                "url":url,
                "title":title
            }
        }
        this.todetail(0,JSON.stringify(json));
    },
    toDir:function(bkey){
        var json = {
            "dir":{
                "bkey":bkey
            }
        };
        this.todetail(0,JSON.stringify(json));
    },
    tobrowser:function(url){
        window.sogoureader.tobrowser(url);
    },
    toActivity:function(name){
      var json = {
          "activity":{
              "name":name
          }
      };
      this.todetail(0,JSON.stringify(json));
    },
    toUpdate:function(){
        var json = {
            "update":{
            }
        };
      this.todetail(0,JSON.stringify(json));
    },
    jump:function(url,title){
        var json = {
            "cate":{
                "url":url,
                "title":title
            }
        };
        this.todetail(0,JSON.stringify(json))
    },
	gallerySize:function(size){
        var json = {
            "gallery": {
                "size": size
            }
        };
        this.todetail(0,JSON.stringify(json))
    },
    main:function(idx){
        var json = {
            "main":{
                "idx":idx
            }
        }
        this.todetail(0,JSON.stringify(json))
    }
};


function loadImg(img){
    var defaultImg = $(img).attr('src');
    img.onerror = function(){
        this.onerror=null;
        this.src=defaultImg;
        return false;
    };
    img.src = $(img).attr('lsrc');
    $(img).removeAttr('lsrc');
}

function toSubject(ele){
    var type = $(ele).attr('type');
    var title = $(ele).attr('name');
    var url = $(ele).attr('link');
    if(type=='1'){
        App.jump(url,title);
    }else if(type=='2'){
        App.book(url,$(ele).attr('name'));
    }else if(type=='3'){
        App.main($(ele).attr('idx'));
    }else if(type=='4'){
        App.toActivity(url);
    }

}